Bug 391632 - "Update selected" button is cut off when an app description is opened
Summary: "Update selected" button is cut off when an app description is opened
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.12.3
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-09 20:25 UTC by Patrick Silva
Modified: 2018-03-13 02:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (69.53 KB, image/png)
2018-03-09 20:25 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-03-09 20:25:17 UTC
Created attachment 111289 [details]
screenshot

See screenshot.
Comment 1 Nate Graham 2018-03-09 21:13:18 UTC
Yeah, it's awfully cramped up there. Perhaps we could make room by getting rid of the "n updates not selected" text. I'm not sure what value that really brings to the user.
Comment 2 Nate Graham 2018-03-10 16:38:06 UTC
Patch available at https://phabricator.kde.org/D11214
Comment 3 Nate Graham 2018-03-10 21:33:03 UTC
Better patch: https://phabricator.kde.org/D11218
Comment 4 Nate Graham 2018-03-13 02:18:38 UTC
Git commit 4cf5247c5a3c174be69b56d0efe98310964160d5 by Nathaniel Graham.
Committed on 13/03/2018 at 02:18.
Pushed by ngraham into branch 'master'.

Show all actions on the main Kirigami toolbar and use the secondary one only for status

Summary:
This is an alternative to D11214 and D11215, and a different method of fixing https://bugs.kde.org/show_bug.cgi?id=391632. I rather prefer it.

The patches moves the {nav Update All} button onto the main Kirigami Toolbar, next to {nav Check for Updates}. This allows the secondary white-background toolbar to be used solely for communicating status information, so there is no longer any possibility of an overlap. It also improves the design IMHO, by putting all the action buttons in one place, and all the status information in another.

Test Plan:
All updates selected:
{F5750641}

Some updates not selected:
{F5750640}

Reviewers: apol, #discover_software_store, #vdg

Reviewed By: apol, #discover_software_store

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D11218

M  +1    -0    discover/qml/DiscoverWindow.qml
M  +1    -10   discover/qml/UpdatesPage.qml

https://commits.kde.org/discover/4cf5247c5a3c174be69b56d0efe98310964160d5